use std::io::{stdin,stdout,Write};
use crate::Command;

pub fn input() -> String{
	let mut s=String::new();
	let _=stdout().flush();
	stdin().read_line(&mut s).expect("Did not enter a correct string");
	if let Some('\n')=s.chars().next_back() 
	{
		s.pop();
	}
	if let Some('\r')=s.chars().next_back() 
	{
		s.pop();
	}
	return s;
} 

pub fn clear_screen()
{
	Command::new("clear")
		.status()
		.expect("Failed to clear screen");
}

pub fn read_element_from_map(vector: &Vec<Vec<char>>, index1: usize, index2: usize) -> Result<char, ()>
{
	if vector.len() <= index1
	{
		Err(())
	}
	else if vector[index1].len() <= index2
	{
		Err(())
	}
	else
	{
		Ok(vector[index1][index2])
	}
}
